Skip to main content
GET
/
{projectId}
/
test-runs
List test runs
curl --request GET \
  --url https://api.testdino.com/api/public/v1/{projectId}/test-runs \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "counter": 123,
      "status": "pending",
      "startTime": "2023-11-07T05:31:56Z",
      "endTime": "2023-11-07T05:31:56Z",
      "duration": 123,
      "testStats": {
        "total": 123,
        "passed": 123,
        "failed": 123,
        "skipped": 123,
        "flaky": 123,
        "timedOut": 123,
        "totalAttempts": 123,
        "retriedTests": 123,
        "pending": 123
      },
      "metadata": {
        "git": {
          "branch": "<string>",
          "environment": "<string>",
          "commit": {
            "hash": "<string>",
            "message": "<string>",
            "author": "<string>"
          }
        }
      },
      "url": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "hasNext": true,
    "hasPrev": true
  }
}

Authorizations

Authorization
string
header
required

Project PAT (tdp_) token with public-api scope

Path Parameters

projectId
string
required

The project identifier (e.g. project_abc123). Must match the project associated with your PAT.

Query Parameters

page
integer
default:1

Page number for paginated results. Starts at 1.

Required range: x >= 1
limit
integer
default:20

Number of items per page (1–100, default 20).

Required range: 1 <= x <= 100
status
enum<string>

Filter by run status (e.g. completed, failed).

Available options:
completed,
failed,
interrupted,
running,
pending,
cancelled
branch
string

Filter by git branch name (e.g. main, feat/checkout).

period
string

Predefined date range (e.g. 7d, 30d). Takes precedence over startDate/endDate if both provided.

committer
string

Filter by git commit author name.

tags
string

Comma-separated run tags to filter by (e.g. smoke,regression).

Free-text search across commit messages and run counter numbers.

prStatus
string

Filter by pull request status (e.g. open, merged).

startDate
string<date>

Start of a custom date range (ISO 8601 date, e.g. 2026-03-01). Must be used with endDate. Ignored if period is also provided.

endDate
string<date>

End of a custom date range (ISO 8601 date, e.g. 2026-03-31). Must be used with startDate. Ignored if period is also provided.

Response

Paginated list of test runs

success
boolean
data
object[]
pagination
object